ASTArrayLiteral (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.parser.ASTArrayLiteral class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Class ASTArrayLiteral

    java.lang.Object
      org.apache.commons.jexl2.parser.SimpleNode
          org.apache.commons.jexl2.parser.JexlNode
              org.apache.commons.jexl2.parser.ASTArrayLiteral

All Implemented Interfaces:
  JexlInfo, JexlNode.Literal<java.lang.Object>, Node

    public final class ASTArrayLiteral

extends JexlNode
implements JexlNode.Literal<java.lang.Object>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jexl2.parser.JexlNode
`JexlNode.Literal<T>`

Field Summary

Fields inherited from class org.apache.commons.jexl2.parser.JexlNode
`image`

Fields inherited from class org.apache.commons.jexl2.parser.SimpleNode
`children, id, parent, value`

Method Summary
`java.lang.Object` | `getLiteral()` Gets the literal value.
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `setLiteral(java.lang.Object literal)` Sets the literal value.

Methods inherited from class org.apache.commons.jexl2.parser.JexlNode
`debugString, getInfo`

Methods inherited from class org.apache.commons.jexl2.parser.SimpleNode
`childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLiteral

    public java.lang.Object getLiteral()

  Gets the literal value.

  Specified by:
    `getLiteral` in interface `JexlNode.Literal<java.lang.Object>`
  Returns:
    the array literal

### setLiteral

    public void setLiteral(java.lang.Object literal)

  Sets the literal value.

  Parameters:
    `literal` - the literal array value
  Throws:
    `java.lang.IllegalArgumentException` - if literal is not an array or null

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  Parameters:
    `visitor` - the visitor
    `data` - contextual data
  Returns:
    result of visit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.